Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162766 - PAPI/perfctr does not work
Summary: PAPI/perfctr does not work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 14:47 UTC by Steven Brandt
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 20:02:19 UTC


Attachments (Terms of Use)

Description Steven Brandt 2005-07-08 14:47:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
PAPI/perfctr does not seem to work on Red Hat.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install kernel patch from PAPI: http://icl.cs.utk.edu/papi/
2. load perfctr module
3. run papi test suite
  

Actual Results:  tests fail.  PAPI tries to make a /proc/self/perfctr file and does not succeed.

Expected Results:  PAPI test suite should pass.

Additional info:

dmesg contains the following, so something somewhere is partly working:
PERFCTR INIT: vendor 0, family 15, model 2, stepping 4, clock 1799842 kHz
PERFCTR INIT: NITER == 64
PERFCTR INIT: loop overhead is 512 cycles
PERFCTR INIT: rdtsc cost is 82.8 cycles (5816 total)
PERFCTR INIT: rdpmc cost is 372.1 cycles (24332 total)
PERFCTR INIT: rdmsr (counter) cost is 251.7 cycles (16624 total)
PERFCTR INIT: rdmsr (escr) cost is 166.8 cycles (11188 total)
PERFCTR INIT: wrmsr (counter) cost is 849.8 cycles (54900 total)
PERFCTR INIT: wrmsr (escr) cost is 921.0 cycles (59456 total)
PERFCTR INIT: read cr4 cost is 5.1 cycles (840 total)
PERFCTR INIT: write cr4 cost is 253.3 cycles (16728 total)
PERFCTR INIT: rdpmc (fast) cost is 61.5 cycles (4448 total)
PERFCTR INIT: rdmsr (cccr) cost is 167.6 cycles (11244 total)
PERFCTR INIT: wrmsr (cccr) cost is 873.8 cycles (56436 total)
PERFCTR INIT: write LVTPC cost is 33.6 cycles (2668 total)
PERFCTR INIT: sync_core cost is 261.6 cycles (17260 total)
perfctr: driver 2.6.13 DEBUG, cpu type Intel P4 at 1799842 kHz

Comment 1 Ernie Petrides 2005-07-14 20:23:56 UTC
Steven, what's this bug about?  We don't support custom-built kernels.
Are you trying to propose an enhancement?  Or is there some problem with
a stock RHEL3 kernel?

Thanks in advance for more info.  -ernie



Note You need to log in before you can comment on or make changes to this bug.